## org.apache.xerces.jaxp
Class DocumentBuilderFactoryImpl

    java.lang.Object
      javax.xml.parsers.DocumentBuilderFactory
          org.apache.xerces.jaxp.DocumentBuilderFactoryImpl

    public class DocumentBuilderFactoryImpl

extends javax.xml.parsers.DocumentBuilderFactory

Version:
  $Id: DocumentBuilderFactoryImpl.java 447237 2006-09-18 05:03:10Z mrglavas $
Author:
  Rajiv Mordani, Edwin Goei

Constructor Summary
`DocumentBuilderFactoryImpl()`

Method Summary
`java.lang.Object` `getAttribute(java.lang.String name)` Allows the user to retrieve specific attributes on the underlying implementation.
`boolean` `getFeature(java.lang.String name)`
`javax.xml.validation.Schema` `getSchema()`
`boolean` `isXIncludeAware()`
`javax.xml.parsers.DocumentBuilder` `newDocumentBuilder()` Creates a new instance of a `DocumentBuilder` using the currently configured parameters.
`void` `setAttribute(java.lang.String name, java.lang.Object value)` Allows the user to set specific attributes on the underlying implementation.
`void` `setFeature(java.lang.String name, boolean value)`
`void` `setSchema(javax.xml.validation.Schema grammar)`
`void` `setXIncludeAware(boolean state)`

Methods inherited from class javax.xml.parsers.DocumentBuilderFactory
`isCoalescing, isExpandEntityReferences, isIgnoringComments, isIgnoringElementContentWhitespace, isNamespaceAware, isValidating, newInstance, setCoalescing, setExpandEntityReferences, setIgnoringComments, setIgnoringElementContentWhitespace, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderFactoryImpl

    public DocumentBuilderFactoryImpl()

Method Detail

### newDocumentBuilder

    public javax.xml.parsers.DocumentBuilder newDocumentBuilder()
                                                         throws javax.xml.parsers.ParserConfigurationException

  Creates a new instance of a `DocumentBuilder` using the currently configured parameters.

  Specified by:
    `newDocumentBuilder` in class `javax.xml.parsers.DocumentBuilderFactory`
  Throws:
    `javax.xml.parsers.ParserConfigurationException`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)
                      throws java.lang.IllegalArgumentException

  Allows the user to set specific attributes on the underlying implementation.

  Specified by:
    `setAttribute` in class `javax.xml.parsers.DocumentBuilderFactory`
  Parameters:
    `name` - name of attribute
    `value` - null means to remove attribute
  Throws:
    `java.lang.IllegalArgumentException`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)
                                  throws java.lang.IllegalArgumentException

  Allows the user to retrieve specific attributes on the underlying implementation.

  Specified by:
    `getAttribute` in class `javax.xml.parsers.DocumentBuilderFactory`
  Throws:
    `java.lang.IllegalArgumentException`

### getSchema

    public javax.xml.validation.Schema getSchema()

  Overrides:
    `getSchema` in class `javax.xml.parsers.DocumentBuilderFactory`

### setSchema

    public void setSchema(javax.xml.validation.Schema grammar)

  Overrides:
    `setSchema` in class `javax.xml.parsers.DocumentBuilderFactory`

### isXIncludeAware

    public boolean isXIncludeAware()

  Overrides:
    `isXIncludeAware` in class `javax.xml.parsers.DocumentBuilderFactory`

### setXIncludeAware

    public void setXIncludeAware(boolean state)

  Overrides:
    `setXIncludeAware` in class `javax.xml.parsers.DocumentBuilderFactory`

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws javax.xml.parsers.ParserConfigurationException

  Specified by:
    `getFeature` in class `javax.xml.parsers.DocumentBuilderFactory`
  Throws:
    `javax.xml.parsers.ParserConfigurationException`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws javax.xml.parsers.ParserConfigurationException

  Specified by:
    `setFeature` in class `javax.xml.parsers.DocumentBuilderFactory`
  Throws:
    `javax.xml.parsers.ParserConfigurationException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.